X
Tap here to go to the mobile version of the site.

Support Forum

I updated my firefox on Mac but now I have to update Mac to avoid more problems, but I don't want to do; so how to reinstall my previous Firefox again?

Posted

Details: Mac OS X version 10.6.8 Memory 8 GB 1067 MHz DDR3 After installing the latest update Firefox I got a message from Mac that I should have problems with Firefox if I do not update their system. I do not prefer to do that but instead going back to the previous installed version of Firefox. Is there somebody who can inform me how to do that?

Details: Mac OS X version 10.6.8 Memory 8 GB 1067 MHz DDR3 After installing the latest update Firefox I got a message from Mac that I should have problems with Firefox if I do not update their system. I do not prefer to do that but instead going back to the previous installed version of Firefox. Is there somebody who can inform me how to do that?

Chosen solution

Firefox Releases since 49.0 and later have required OSX 10.9 or later to run.

The old Firefox 45.9.0 ESR (out on April 19, 2017) and not the older 48.0.2 Release (out on August 24, 2016) and was the most up to date with security fixes to still run on the old 10.6, 10.7, 10.8

https://support.mozilla.org/en-US/kb/firefox-osx

https://www.mozilla.org/firefox/49.0/system-requirements/ https://www.mozilla.org/firefox/61.0.2/system-requirements/

Read this answer in context 0

Additional System Details

Installed Plug-ins

  • BrowserPlus -- Improve your browser! -- http://browserplus.yahoo.com/
  • Version 5.38.6.0
  • Displays Java applet content, or a placeholder if Java is not installed.
  • Office Live Update v1.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • RealPlayer Plugin
  • Shockwave Flash 29.0 r0
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:48.0) Gecko/20100101 Firefox/48.0

More Information

James
  • Moderator
1594 solutions 11226 answers

Chosen Solution

Firefox Releases since 49.0 and later have required OSX 10.9 or later to run.

The old Firefox 45.9.0 ESR (out on April 19, 2017) and not the older 48.0.2 Release (out on August 24, 2016) and was the most up to date with security fixes to still run on the old 10.6, 10.7, 10.8

https://support.mozilla.org/en-US/kb/firefox-osx

https://www.mozilla.org/firefox/49.0/system-requirements/ https://www.mozilla.org/firefox/61.0.2/system-requirements/

Firefox Releases since 49.0 and later have required OSX 10.9 or later to run. The old Firefox 45.9.0 ESR (out on April 19, 2017) and not the older 48.0.2 Release (out on August 24, 2016) and was the most up to date with security fixes to still run on the old 10.6, 10.7, 10.8 https://support.mozilla.org/en-US/kb/firefox-osx https://www.mozilla.org/firefox/49.0/system-requirements/ https://www.mozilla.org/firefox/61.0.2/system-requirements/

Modified by James

Question owner

Thanks a lot for your helpful reply James!

Thanks a lot for your helpful reply James!